"""remove qa step

Revision ID: dd04b15a2b10
Revises: 8afb44ce2d44
Create Date: 2021-08-20 13:49:41.736265

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "dd04b15a2b10"
down_revision = "8afb44ce2d44"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        """
        UPDATE capabilities
        SET capability_steps = E'prepare-and-run-workflow std_calibration\nawait-workflow' 
        WHERE capability_name = 'std_calibration'
        """
    )
    op.execute(
        """
        UPDATE capabilities
        SET capability_steps = E'prepare-and-run-workflow std_cms_imaging\nawait-workflow'
        WHERE capability_name = 'std_cms_imaging'
        """
    )


def downgrade():
    op.execute(
        """
        UPDATE capabilities
        SET capability_steps = E'prepare-and-run-workflow std_calibration\nawait-workflow\nawait-qa' 
        WHERE capability_name = 'std_calibration'
        """
    )
    op.execute(
        """
        UPDATE capabilities
        SET capability_steps = E'prepare-and-run-workflow std_cms_imaging\nawait-workflow\nawait-qa'
        WHERE capability_name = 'std_cms_imaging'
        """
    )
